/**## Теоретичні питання

1. Опишіть, як можна створити новий HTML тег на сторінці.
2. Опишіть, що означає перший параметр функції insertAdjacentHTML і опишіть можливі варіанти цього параметра.
3. Як можна видалити елемент зі сторінки?*/

// 1.HTML тег на сторінці можна створити за допомогою функції createElement("")
// 2.Перший параметр функції insertAdjacentHTML означає місце куди можна вставити новостворений елемент.Є чотири варіанти куди можна вставити
//  за допомогою beforbegin(перед самим елементом) afterbegin(в середину елемента в начало) beforeend(в середину елемента в кінець
//  afterend (після самого елемента)
//

/**## Завдання

    Реалізувати функцію, яка отримуватиме масив елементів і виводити їх на сторінку у вигляді списку.
    Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

#### Технічні вимоги:

    * - Створити функцію, яка прийматиме на вхід масив і опціональний другий аргумент parent - DOM-елемент,
    до якого буде прикріплений список (по дефолту має бути document.body.
    * - кожен із елементів масиву вивести на сторінку у вигляді пункту списку;*/



    parent = document.body

const arrayList = (arr,parent = document.body) => {

    let list = document.createElement("ul")
    list.classList.add("list")
    parent.append(list)

    arr.forEach(item => {
        list.insertAdjacentHTML("beforeend",`<li>${item}</li>`)
    })

}
arrayList(["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"])


